
#include <TinyWireS.h> //Library to control I2C communication as Slave
#define I2C_SLAVE_ADDRESS 0x9 //Set I2C slave address
bool ledState; //Saves the state of the led, true = on and false = off
int led=7; // pin number of the led

void setup() { 
  pinMode(led, OUTPUT); //Set pin led as output
  
  pinMode(4, INPUT_PULLUP); //Set pin 4 (SCL) as input and with internal pull-up
  pinMode(6, INPUT_PULLUP); //Set pin 6 (SDA) as input and with internal pull-up
  TinyWireS.begin(I2C_SLAVE_ADDRESS); //I start the i2c communication with the address I have assigned for this slave
  TinyWireS.onReceive(receiveEvent); //When the master sends data to this slave, the slave calls the function "receiveEvent"
  digitalWrite(led,LOW); //Write 0V to pin led
  ledState=false; //Initialize the led status as ON
}

void loop() {   
  TinyWireS_stop_check();//Check that the i2c communication has ended
  if(ledState==true){ //If ledState is true then blink the led
    digitalWrite(led,HIGH);//Write 5V to pin led
    delay(200); 
    digitalWrite(led,LOW);//Write 0V to pin led
    delay(200);
  }else{  ////If ledState is false then turn off the led
    digitalWrite(led,LOW); //Write 0V to pin led
  }
}

void receiveEvent(){//Function that reads the data sent by the master
 byte recivedData=0;
 if(TinyWireS.available()){
    recivedData=TinyWireS.receive();
    if(recivedData==1){ //If the master sends "1", it changes the value of the ledState variable to true
       ledState=true;      
    }else if(recivedData==0){
      ledState=false;
    }
  }
}
